# Cocos2d
from cocos.director import director
from cocos.layer import Layer, ColorLayer
from cocos.scene import Scene
from cocos.text import Label

from pyglet import clock

import logging
log = logging.getLogger('GameOver')

from levelcomplete import LevelCompleteScene

class GameOver(Layer):
    def __init__(self, win, score):
        super(GameOver, self).__init__()
        self.win = win
        self.score = score
        
        self.add(ColorLayer(100,100,100,200))
        
        winText = None
        if (win):
            winText = Label("FTW! Good Job!", font_size=20, color=(10,255,10,255))
        else:
            winText = Label("YOU ARE LOSE", font_size=20, color=(255,10,10,255))
            
        winText.x = 300
        winText.y = 400
        
        self.add(winText)
        
        scoreText = Label("Score: "+str(score), font_size=20, color=(255,255,255,255))
        scoreText.x = 300
        scoreText.y = 300
        self.add(scoreText)
        
        clock.schedule_once(self.NextScreen, 5)
        
    def NextScreen(self,dt):
        
        
        ''' 
        if (self.win):
            director.push(LevelCompleteScene(self.score))
        else:
            director.push(GameOverScene())
        '''
        director.scene.end()    
        #self.parent.end()
        
            
class GameOverScene(Scene):
    def __init__(self):
        super(GameOverScene, self).__init__()
        
    def on_enter(self):
        log.debug("GameOverScene::on_enter")
        super(GameOverScene, self).on_enter()
        clock.schedule_once(self.GoBack, 5)

    def GoBack(self, dt):
        log.debug("GameOverScene::GoBack")
        self.end()
        
