
from cocos.layer import Layer
from cocos.text import Label

from shape import Shape
from cell import *

class HUD(Layer):
    is_event_handler = False
    def __init__(self):
        super(HUD,self).__init__()
        
        self.score = 0
        self.scoreDisplay = Label("Score:", font_size=20, font_name='m02.TTF', color=(255,255,255,255), anchor_x='left', anchor_y='bottom')
        self.add(self.scoreDisplay)
        
        nextLable = Label("Next", font_size=20, font_name='m02.TTF', color=(255,255,255,255), anchor_x='left', anchor_y='top')
        nextLable.x = 45
        nextLable.y = 540
        self.add(nextLable)
        
        self.specials = []
        self.specialsActive = []
        
    def SetLevelInfo(self, title):
        title = Label(title, font_size=20, font_name='m02.TTF', color=(255,255,255,255), anchor_x='left', anchor_y='top')
        title.x = 390
        title.y = 580
        self.add(title)
        
    def Matched(self, shape):
        self.score += shape.points
        self.scoreDisplay.element.text = "Score: %d" % self.score
        
        if (shape.numberNeeded == 0 and shape.specialActivated != None):
            self.SetSpecialActive(shape.specialActivated, True)
        
        
    def SetSpecialsAvail(self, specials):
        self.specials = [] 
        x = 0
        for special in specials:
            specialObj = MakeCell(special+SPECIALS_OFFSET)
            specialObj.x = 150+x*32
            specialObj.y = 580
            self._SetSpecialActive(specialObj, False)
            
            self.specials.append(specialObj)
            self.specialsActive.append(False)
            
            self.add(specialObj)
            x += 1 
    
    def IsSpecialActive(self, specialIdx):
        return (self.specialsActive[specialIdx], self.specials[specialIdx].cell_ID)
        
    def SetSpecialActive(self, specialIdx, isActive):
        self._SetSpecialActive(self.specials[specialIdx], isActive)
        self.specialsActive[specialIdx] = isActive
        
    def _SetSpecialActive(self, special, isActive):
        if (isActive):
            special.color = (128,255,128)
            special.opacity = 255
        else:
            special.color = (100,100,100)
            special.opacity = 128
        
        
        
    def on_enter(self):
        super( HUD, self).on_enter()
        
    def on_exit(self):
        super( HUD, self).on_exit()
