#
# Python includes
#
import os, sys
sys.path.insert(0, os.path.join(os.path.dirname(__file__), '..'))

from cocos.director import director
from cocos.layer import Layer,ColorLayer
from cocos.scene import Scene
from cocos.scenes.transitions import *
from cocos.actions import *

from cocos.menu import *
from cocos.text import *

from gamescene import GameLayer
from hud import HUD

class MainMenu( Menu ):

    def __init__(self):
        super( MainMenu, self).__init__("") 

        #self.font_item['font_name'] = MENU_FONT
        #self.font_item['color'] = (0,0,0,255)
        self.font_item['font_size'] = 15
        #self.font_item_selected['font_name'] = MENU_FONT
        #self.font_item_selected['color'] = (0,0,0,255)
        self.font_item_selected['font_size'] = 20

        self.menu_valign = BOTTOM
        self.menu_halign = CENTER

        items = []

        items.append( MenuItem('Play', self.on_play) )
        items.append( MenuItem('Instructions', self.on_instructions) )
        items.append( MenuItem('Credits', self.on_credits) )
        items.append( MenuItem('Quit', self.on_quit) )

        
        self.create_menu( items, zoom_in(), zoom_out() )
        
        # Space em out
        pos = 0
        for menuItem in items:
            menuItem.y += 150-pos*10
            pos += 1
        
    def on_play( self ):
        colourLayer = ColorLayer(20,20,255,255) 
        hud = HUD()
        gamelayer = GameLayer(hud)
        main_scene = Scene ( colourLayer, gamelayer, hud) 
        director.push(main_scene)

 
    def on_instructions( self ):
        main_scene = Scene ( ColorLayer(20,255,20,255)) 
        director.push(main_scene)
        
    def on_credits( self ):
        main_scene = Scene ( ColorLayer(255,20,20,255)) 
        director.push(main_scene)

    def on_quit(self):
        pyglet.app.exit()

if __name__ == "__main__":


    director.init( resizable=True, width=800, height=600 )
    scene = Scene(MainMenu())
    director.run( scene )
